%define debug_package %{nil}

%define name yaf
%define version 2.2.1
%define release 10

Summary: Yet Another Flow sensor
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Group: NetSA
License: GPL
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}
Packager: Tony Cebzanov <tonyc@cert.org>
Vendor: http://tools.netsa.cert.org/
Provides: yaf
Requires: glib2 >= 2.6.4
Requires: libfixbuf >= 0.7.2
Requires: libpcap
%if "x" == "x1"
Requires: pcre >= 7.3
%endif
BuildRequires: glib2-devel >= 2.6.4
BuildRequires: libfixbuf-devel >= 0.7.2
BuildRequires: pkgconfig >= 0.8
BuildRequires: libpcap-devel
BuildRequires: libtool-ltdl-devel
%if "x" == "x1"
BuildRequires: pcre-devel >= 7.3
%endif



%description 
YAF is Yet Another Flow sensor. It processes packet data from pcap(3) dumpfiles
as generated by tcpdump(1) or via live capture from an interface using pcap(3)
or an Endace DAG card into bidirectional flows, then exports those flows to
IPFIX Collecting Processes or in an IPFIX-based file format. YAF's output can
be used with the NetSA Aggregated Flow (NAF) toolchain.

%package devel
Summary: Static libraries and C header files for yaf
Group: Development/NetSA
Provides: yaf-devel
Requires: %{name} = %{version}
Requires: pkgconfig >= 0.8


%description devel
Static libraries and C header files for yaf.

%prep
%setup -q -n %{name}-%{version}

%build
./configure --host=%{_host} --build=%{_build} --target=%{_target_platform} --program-prefix=%{?_program_prefix} --prefix=%{_prefix} --exec-prefix=%{_exec_prefix} --bindir=%{_bindir} --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} --datadir=%{_datadir} --includedir=%{_includedir} --libdir=%{_libdir} --libexecdir=%{_libexecdir} --localstatedir=%{_localstatedir} --sharedstatedir=%{_sharedstatedir} --mandir=%{_mandir} --infodir=%{_infodir} --disable-static --enable-ltdl-install=no
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
%makeinstall

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README doc/html
%{_bindir}/yaf
%{_bindir}/yafscii
%{_bindir}/yafcollect
%{_bindir}/airdaemon
%{_bindir}/filedaemon
%{_bindir}/getFlowKeyHash
%{_libdir}/*.so*
%{_mandir}/*
%config(noreplace) %{_sysconfdir}/yafApplabelRules.conf

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*

%changelog
* Tue Jul  7 2015 Lawrence Rogers <lrr@cert.org> 2.2.1-10
* Release 2.2.1-10
	Recompile with libfixbuf-1.7.0 for el5 only, since yaf-2.6.0 does not compile for el5.

* Mon Dec  8 2014 Lawrence Rogers <lrr@cert.org> 2.2.1-9
* Release 2.2.1-9
	Recompile with libfixbuf-1.6.2 for el5 only, since yaf-2.6.0 does not compile for el5.

* Wed Oct 15 2014 Lawrence Rogers <lrr@cert.org> 2.2.1-8
* Release 2.2.1-8
	Recompile with libfixbuf-1.6.1 for el5 only, since yaf-2.6.0 does not compile for el5.

* Tue Sep 30 2014 Lawrence Rogers <lrr@cert.org> 2.2.1-7
* Release 2.2.1-7
	Recompile with libfixbuf-1.6.0 for el5 only, since yaf-2.6.0 does not compile for el5.

* Wed Aug 20 2014 Lawrence Rogers <lrr@cert.org> 2.2.1-6
* Release 2.2.1-6
	Recompile with libfixbuf-1.5.0 for el5 only, since yaf-2.5.0 does not compile for el5.

* Fri Dec 13 2013 Lawrence Rogers <lrr@cert.org> 2.2.1-5
* Release 2.2.1-5
	Recompile with libfixbuf-1.4.0 for el5 only, since yaf-2.3.2 does not compile for el5.

* Tue Mar 12 2013 Lawrence Rogers <lrr@cert.org> 2.2.1-4
* Release 2.2.1-4
	Recompile with libfixbuf-1.3.0 for el5 only, since yaf-2.3.2 does not compile for el5.

* Mon Sep 17 2012 Lawrence Rogers <lrr@cert.org> 2.2.1-3
* Release 2.2.1-3
	Recompile with libfixbuf-1.1.2 for el5 only, since yaf-2.3.2 does not compile for el5.

* Tue Jul 10 2012 Lawrence Rogers <lrr@cert.org> 2.2.1-2
* Release 2.2.1-2
	Recompile with libfixbuf-1.1.2 for el5 only, since yaf-2.2.2 does not compile for el5.

* Thu Mar 8 2012 Lawrence Rogers <lrr@cert.org> 2.2.1-1
* Release 2.2.1-1
	Bug Fixes

* Wed Feb 19 2012 Lawrence Rogers <lrr@cert.org> 2.2.0-1
* Release 2.2.0.1
	New Application Labels (MSNP, RTP, RTCP, Jabber)
	Rolling Pcap output and pcap-per-flow option.
	CERT p0f Fingerprints included.
	New option to process out-of-sequence flows.
	Several other bug fixes.

* Tue Jan 3 2012 Lawrence Rogers <lrr@cert.org> 2.1.2-2
* Release 2.1.2-2
	Rebuilt for libfixbuf-1.1.1

* Fri Sep 23 2011 Lawrence Rogers <lrr@cert.org> 2.1.2-1
* Release 2.1.2-1
	Added new --plugin-conf switch for adding a configuration file to a plugin
	Added new --p0f-fingerprints switch to give location of p0f fingerprint files
	Bug Fixes

* Tue Sep 13 2011 Lawrence Rogers <lrr@cert.org> 2.1.1-2
* Release 2.1.1-2
	Rebuilt for libfixbuf-1.0.2

* Thu Aug 11 2011 Lawrence Rogers <lrr@cert.org> 2.1.1-1
* Release 2.1.1-1
	Important bug fix for application labeling SSL plugin

* Wed Jul 27 2011 Lawrence Rogers <lrr@cert.org> 2.1.0-1
* Release 2.1.0-1
	New Information Element exported in every flow record, flowAttributes (CERT PEN 6871, IE 40).
	YAF now checks if a flow has fixed-size packets and exports this flag using the new flowAttributes Information Element (see yaf)
	Reset Application Label on UDP-uniflows for Deep Packet Inspection
	Fixed yafscii invalid parameter bug that may have existed on certain platforms
	Added VNC (RFB Protocol) application label
	DPI Enhancements
	FlowEndReason IPFIX field is now set to 31 for udp-uniflows
	For Cygwin: Added support for getting the yaf config directory via the Windows Registry
	Several other bug fixes

* Mon Jun 13 2011 Lawrence Rogers <lrr@cert.org> 2.0.2.1
* Release 2.0.2-1
	Improvements with Reassembly of TCP Fragments.
	Bug Fix for DNS Deep Packet Inspection.
	--no-frag switch now works.
	Bug Fix for expiring flows that exceed the idle timeout when reading from a file.
	Added the ability to configure YAF with WinPCAP.

* Mon Apr 28 2011 Lawrence Rogers <lrr@cert.org> 2.0.1-1
* Release 2.0.1-1
	Bug Fix for compile error with --enable-daginterface
	Enhancement for SNMPv3 application labeler

* Mon Apr 28 2011 Lawrence Rogers <lrr@cert.org> 2.0.0-1
* Release 2.0.0-1
	This version requires libfixbuf-1.0.0 or greater.

	Added Napatech Adapter Integration (requires libpcapexpress).
	YAF now exports TCP, payload, finger printing, p0f, MAC, entropy, and DPI flow information within an IPFIX subTemplateMultiList data type.
	Added the ability to export YAF capture statistics using IPFIX Options Templates.
	The --stats or --no-stats were added to configure YAF stats output.
	Added the ability to define Spread group types to use Spread as a manifold for flow export based on application, port, protocol, version, or vlan.
	Added New Application Labels: DHCP, AIM, SOCKS, SMB, SNMP, NETBIOS.
	Added a time-out buffer flush function.
	Added SSL Certificate Capture.
	Added DNS Resource Record Parsing.
	Added Deep Packet Inspection for the MySQL protocol.
	The --silk switch will maintain compatibility with SiLK by not nesting TCP information in the subTemplateMultiList data type.
	Deep Packet Inspection elements are read from one configuration file.
	Added the ability to create new DPI elements from configuration file.
	Added UDP Export and Template Retransmission.
	Many Bug fixes and other enhancements.

* Thu Feb 3 2011 Lawrence Rogers <lrr@cert.org> 1.3.2-1
* Release 1.3.2-1
	Bug fix for dnsplugin.c
	Minor bug fix for fingerprint exporting.
